Ruby 1.9.2p136(2010-12-25revision30365)

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

Defines | Functions | Variables

# version.c File Reference

`#include "ruby/ruby.h"`
`#include "version.h"`
`#include <stdio.h>`
Include dependency graph for version.c:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Defines
#define | PRINT(type) puts(ruby_##type)
#define | MKSTR(type) rb_obj_freeze(rb_usascii_str_new(ruby_##type, sizeof(ruby_##type)-1))
#define | RUBY_ARCH RUBY_PLATFORM
#define | RUBY_SITEARCH RUBY_ARCH
#define | RUBY_LIB_PREFIX RUBY_EXEC_PREFIX"/lib/ruby"
#define | RUBY_SITE_LIB RUBY_LIB_PREFIX"/site_ruby"
#define | RUBY_VENDOR_LIB RUBY_LIB_PREFIX"/vendor_ruby"
#define | RUBY_LIB RUBY_LIB_PREFIX "/"RUBY_LIB_VERSION
#define | RUBY_SITE_LIB2 RUBY_SITE_LIB "/"RUBY_LIB_VERSION
#define | RUBY_VENDOR_LIB2 RUBY_VENDOR_LIB "/"RUBY_LIB_VERSION
#define | RUBY_ARCHLIB RUBY_LIB "/"RUBY_ARCH
#define | RUBY_SITE_ARCHLIB RUBY_SITE_LIB2 "/"RUBY_SITEARCH
#define | RUBY_VENDOR_ARCHLIB RUBY_VENDOR_LIB2 "/"RUBY_SITEARCH
## Functions
void | Init_version (void)
void | ruby_show_version (void)
void | ruby_show_copyright (void)
## Variables
const char | ruby_version [] = RUBY_VERSION
const char | ruby_release_date [] = RUBY_RELEASE_DATE
const char | ruby_platform [] = RUBY_PLATFORM
const int | ruby_patchlevel = RUBY_PATCHLEVEL
const char | ruby_description [] = RUBY_DESCRIPTION
const char | ruby_copyright [] = RUBY_COPYRIGHT
const char | ruby_engine [] = "ruby"
VALUE | ruby_engine_name = Qnil
const char | ruby_initial_load_paths [] = ""

## Define Documentation

#define MKSTR | ( |  | type | ) | rb_obj_freeze(rb_usascii_str_new(ruby_##type, sizeof(ruby_##type)-1))

Definition at line 17 of file version.c.

Referenced by Init_version().

#define PRINT | ( |  | type | ) | puts(ruby_##type)

Definition at line 16 of file version.c.

Referenced by BSD_vfprintf(), ruby_show_copyright(), and ruby_show_version().

#define RUBY_ARCH RUBY_PLATFORM

Definition at line 20 of file version.c.

#define RUBY_ARCHLIB RUBY_LIB "/"RUBY_ARCH

Definition at line 44 of file version.c.

#define RUBY_LIB RUBY_LIB_PREFIX "/"RUBY_LIB_VERSION

Definition at line 41 of file version.c.

#define RUBY_LIB_PREFIX RUBY_EXEC_PREFIX"/lib/ruby"

Definition at line 32 of file version.c.

#define RUBY_SITE_ARCHLIB RUBY_SITE_LIB2 "/"RUBY_SITEARCH

Definition at line 45 of file version.c.

#define RUBY_SITE_LIB RUBY_LIB_PREFIX"/site_ruby"

Definition at line 35 of file version.c.

#define RUBY_SITE_LIB2 RUBY_SITE_LIB "/"RUBY_LIB_VERSION

Definition at line 42 of file version.c.

#define RUBY_SITEARCH RUBY_ARCH

Definition at line 23 of file version.c.

#define RUBY_VENDOR_ARCHLIB RUBY_VENDOR_LIB2 "/"RUBY_SITEARCH

Definition at line 46 of file version.c.

#define RUBY_VENDOR_LIB RUBY_LIB_PREFIX"/vendor_ruby"

Definition at line 38 of file version.c.

#define RUBY_VENDOR_LIB2 RUBY_VENDOR_LIB "/"RUBY_LIB_VERSION

Definition at line 43 of file version.c.

## Function Documentation

void Init_version | ( | void |  | ) |

Definition at line 90 of file version.c.

References INT2FIX, MKSTR, rb_define_global_const(), ruby_engine_name, RUBY_PATCHLEVEL, RUBY_REVISION, and version().

void ruby_show_copyright | ( | void |  | ) |

Definition at line 110 of file version.c.

References PRINT.

Referenced by process_options().

void ruby_show_version | ( | void |  | ) |

Definition at line 103 of file version.c.

References PRINT.

Referenced by proc_options(), and process_options().

## Variable Documentation

const char ruby_copyright[] = RUBY_COPYRIGHT

Definition at line 58 of file version.c.

const char ruby_description[] = RUBY_DESCRIPTION

Definition at line 57 of file version.c.

Referenced by report_bug().

const char ruby_engine[] = "ruby"

Definition at line 59 of file version.c.

VALUE ruby_engine_name = Qnil

Definition at line 60 of file version.c.

Referenced by Init_version(), and vm_backtrace_each().

const char ruby_initial_load_paths[] = ""

Definition at line 62 of file version.c.

Referenced by ruby_init_loadpath_safe().

const int ruby_patchlevel = RUBY_PATCHLEVEL

Definition at line 56 of file version.c.

const char ruby_platform[] = RUBY_PLATFORM

Definition at line 55 of file version.c.

const char ruby_release_date[] = RUBY_RELEASE_DATE

Definition at line 54 of file version.c.

const char ruby_version[] = RUBY_VERSION

Definition at line 53 of file version.c.